Skip to content

List store checks for a checklist

GET
/{currentTeam}/audit-types/{auditType}/submissions
curl --request GET \
--url https://api.tradeops.cc/v1/example/audit-types/1/submissions \
--header 'Authorization: Bearer <token>'

Members who can’t review the checklist only see their own.

currentTeam
required
string

The current team slug

auditType
required
integer

The audit type ID

include
Array<string>
Allowed values: auditType auditType.fields auditType.fields.auditType auditType.fields.auditType.fields auditType.fields.auditType.fields.auditType customer customer.locations
fields[submissions]
Array<string>
Allowed values: data status score max_score latitude longitude submitted_at reviewed_at review_notes created_at updated_at
fields[audit_types]
Array<string>
Allowed values: name slug description icon color status settings created_at updated_at
fields[fields]
Array<string>
Allowed values: name label type section options validation order required score_weight conditional
fields[customers]
Array<string>
Allowed values: name slug number type channel region territory address city parish latitude longitude contact_name contact_phone contact_email metadata is_active created_at updated_at
fields[customer_locations]
Array<string>
Allowed values: name address city state_province latitude longitude contact_name contact_phone contact_email is_primary is_active created_at updated_at

Array of SubmissionResource

Media typeapplication/vnd.api+json
object
data
required
Array<object>
SubmissionResource
object
id
required
string
type
required
string
Allowed value: submissions
attributes
object
data
object
status
string
score
string | null
max_score
string | null
latitude
string | null
longitude
string | null
submitted_at
string | null format: date-time
reviewed_at
string | null format: date-time
review_notes
string | null
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
auditType
object
data
required
object
id
required
string
type
required
string
Allowed value: audit_types
customer
object
data
required
object
id
required
string
type
required
string
Allowed value: customers
links
required
object
self
required
string
included
Array
Any of:
AuditTypeResource
object
id
required
string
type
required
string
Allowed value: audit_types
attributes
object
name
string
slug
string
description
string | null
icon
string | null
color
string | null
status
string
settings
object
created_at
string | null format: date-time
updated_at
string | null format: date-time
relationships
object
fields
object
data
required
Array<object>
object
id
required
string
type
required
string
Allowed value: fields
links
required
object
self
required
string

Example

{
"data": [
{
"type": "submissions",
"relationships": {
"auditType": {
"data": {
"type": "audit_types"
}
},
"customer": {
"data": {
"type": "customers"
}
}
}
}
],
"included": [
{
"type": "audit_types",
"relationships": {
"fields": {
"data": [
{
"type": "fields"
}
]
}
}
}
]
}

Unauthenticated

Media typeapplication/json
object
message
required

Error overview.

string

Example generated

{
"message": "example"
}

Authorization error

Media typeapplication/json
object
message
required

Error overview.

string

Example generated

{
"message": "example"
}

Not found

Media typeapplication/json
object
message
required

Error overview.

string

Example generated

{
"message": "example"
}

Too many requests. Wait for Retry-After seconds before trying again.

Media typeapplication/json
object
message
required
string

Example generated

{
"message": "example"
}
Retry-After
integer

Seconds until you can try again.